Package org.apache.datasketches.quantilescommon

# Class DoublesSortedViewIterator

java.lang.Object
org.apache.datasketches.quantilescommon.SortedViewIterator
org.apache.datasketches.quantilescommon.DoublesSortedViewIterator

public final class DoublesSortedViewIterator extends SortedViewIterator
Iterator over quantile sketches of primitive type double.

## Constructor Summary

Constructors
Constructor
Description
`DoublesSortedViewIterator(double[] quantiles, long[] cumWeights)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getQuantile()`
Gets the quantile at the current index.

### Methods inherited from class org.apache.datasketches.quantilescommon.SortedViewIterator

`getN, getNaturalRank, getNaturalRank, getNormalizedRank, getNormalizedRank, getWeight, next`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoublesSortedViewIterator

public DoublesSortedViewIterator(double[] quantiles, long[] cumWeights)
Constructor.

Parameters:
  `quantiles` - the given array of quantiles, which must be ordered.
  `cumWeights` - the given array of cumulative weights, which must be ordered, start with the value one, and the last value must be equal to N, the total number of items updated to the sketch.

## Method Details

### getQuantile

public double getQuantile()
Gets the quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Returns:
  the quantile at the current index.